Difference between revisions of "Std Group"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "<translate> {{GuiCommand|Name=Std Group|MenuLocation=Tree View → Right click on the document name||Workbenches=All|Shortcut=|SeeAlso=[[Draft_SelectGroup|Draft SelectGroup]...")
 
(Marked this version for translation)
Line 2: Line 2:
  
  
 +
<!--T:1-->
 
{{GuiCommand|Name=Std Group|MenuLocation=Tree View → Right click on the document name||Workbenches=All|Shortcut=|SeeAlso=[[Draft_SelectGroup|Draft SelectGroup]], [[Draft_AddToGroup|Draft AddToGroup]]}}
 
{{GuiCommand|Name=Std Group|MenuLocation=Tree View → Right click on the document name||Workbenches=All|Shortcut=|SeeAlso=[[Draft_SelectGroup|Draft SelectGroup]], [[Draft_AddToGroup|Draft AddToGroup]]}}
  
==Description==
+
==Description== <!--T:2-->
  
  
 +
<!--T:3-->
 
This command lets you create a group in the tree view.
 
This command lets you create a group in the tree view.
 
<br />
 
<br />
 
It can be used for organizing the structure of your model.
 
It can be used for organizing the structure of your model.
  
==Use==
+
==Use== <!--T:4-->
  
  
 +
<!--T:5-->
 
Right-click on the name of your FreeCAD-document in the tree-view and choose "create group".
 
Right-click on the name of your FreeCAD-document in the tree-view and choose "create group".
 
<br />
 
<br />
Line 29: Line 32:
 
<br />
 
<br />
  
 +
<!--T:6-->
 
# Right click on active document or on existing group in the [[Document structure|Tree View]] and select {{KEY|Create Group...}}
 
# Right click on active document or on existing group in the [[Document structure|Tree View]] and select {{KEY|Create Group...}}
 
# Drag-n-drop objects into the group
 
# Drag-n-drop objects into the group
  
  
 +
<!--T:7-->
 
[[Image:group_with_objects.png|300px]]
 
[[Image:group_with_objects.png|300px]]
  
==Options==
+
==Options== <!--T:8-->
  
 +
<!--T:9-->
 
* To rename the group select a group and press {{KEY|F2}}, or right click a group and select {{KEY|Rename}}
 
* To rename the group select a group and press {{KEY|F2}}, or right click a group and select {{KEY|Rename}}
  
==Properties==
+
==Properties== <!--T:10-->
  
 +
<!--T:11-->
 
*  {{PropertyData|Label}}: Name of the group
 
*  {{PropertyData|Label}}: Name of the group
  
==Scripting==
+
==Scripting== <!--T:12-->
  
 +
<!--T:13-->
 
Following command adds new group to the active document:
 
Following command adds new group to the active document:
  
Line 52: Line 60:
 
}}
 
}}
 
<translate>
 
<translate>
==Limitations==
+
==Limitations== <!--T:14-->
  
 +
<!--T:15-->
 
Command needs an open FreeCAD-document to work.
 
Command needs an open FreeCAD-document to work.
  
==Links==
+
==Links== <!--T:16-->
  
 +
<!--T:17-->
 
* [[Arch tutorial#Organizing your model|Use case in Arch Tutorial]]
 
* [[Arch tutorial#Organizing your model|Use case in Arch Tutorial]]
 
* [[Document_structure|Document structure]]
 
* [[Document_structure|Document structure]]
Line 63: Line 73:
 
* [[Ways_To_Organize_Objects|Organize objects in the document]]
 
* [[Ways_To_Organize_Objects|Organize objects in the document]]
  
==Notes==
+
==Notes== <!--T:18-->
  
  

Revision as of 20:02, 19 February 2018


Std Group.svg Std Group

Menu location
Tree View → Right click on the document name
Workbenches
All
Default shortcut
Introduced in version
-
See also
Draft SelectGroup, Draft AddToGroup

Description

This command lets you create a group in the tree view.
It can be used for organizing the structure of your model.

Use

Right-click on the name of your FreeCAD-document in the tree-view and choose "create group".
A group will be created automatically and give the icon of a directory and an automatically chosen name.
You can rename the group by right-clicking on the group and choosing "rename" or using "F2" on your keyboard.
Push FreeCAD-objects into the group or pull them out of the group by clicking on the desired object,
keep left-mouse button pressed and using drag&drop-style to drag the object to desired new location.
As long as there is a "circle with a diagonal line"-sign below the cursor you can't drop your object here.
As soon as the sign changes to a "plus"-symbol it is possible to drop your object here.

  1. Right click on active document or on existing group in the Tree View and select Create Group...
  2. Drag-n-drop objects into the group


Group with objects.png

Options

  • To rename the group select a group and press F2, or right click a group and select Rename

Properties

  • DataLabel: Name of the group

Scripting

Following command adds new group to the active document:

App.ActiveDocument.addObject("App::DocumentObjectGroup","Group")

Limitations

Command needs an open FreeCAD-document to work.

Links

Notes

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎한국어